interfaces Library: KTextEditor::UndoDCOPInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::UndoDCOPInterface Class Reference

This is the main interface to the UndoInterface of KTextEdit. DCOP interface to UndoInterface. More...

`#include <undodcopinterface.h>`

Inheritance diagram for KTextEditor::UndoDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::UndoDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | undoInterfaceNumber ()
void | undo ()
void | redo ()
void | clearUndo ()
void | clearRedo ()
uint | undoCount ()
uint | redoCount ()
uint | undoSteps ()
void | setUndoSteps (uint steps)
void | undoChanged ()
## Public Member Functions
| UndoDCOPInterface (UndoInterface *Parent, const char *name)
virtual | ~UndoDCOPInterface ()

## Detailed Description

This is the main interface to the UndoInterface of KTextEdit. DCOP interface to UndoInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file undodcopinterface.h.

## Constructor & Destructor Documentation

UndoDCOPInterface::UndoDCOPInterface | ( | UndoInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  | Parent | the parent UndoInterface object that will provide us with the functions for the interface.
  | name | the QObject's name
Definition at line 7 of file undodcopinterface.cpp.

UndoDCOPInterface::~UndoDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file undodcopinterface.cpp.

The documentation for this class was generated from the following files:

- undodcopinterface.h
- undodcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003